﻿@import url('https://fonts.googleapis.com/css2?family=FAMILY_NAME:wght@WEIGHT_OR_RANGE&display=swap');

@font-face {
  font-family: 'Bangla';
  src: url('css/fonts/Bangla.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

html[lang="bn-BD"] .split-blockk {
  all: unset !important; /* 清空 split-block 既有的效果 */
  
  /* 回復成正常文字流 */
  display: inline !important;
  white-space: normal !important;
  letter-spacing: normal !important;
  word-break: keep-all !important;
  
  /* 確保孟加拉文字合字功能開啟 */
  font-feature-settings: "liga" 1, "clig" 1, "ccmp" 1;
  text-rendering: optimizeLegibility;
  
  /* 避免被主題/JS 動態動畫覆蓋 */
  animation: none !important;
  transition: none !important;
}

/*<weight>: Use a value from 100 to 900*/
body.lang-bn { 
  font-family:'Noto Sans Bengali', 'Bangla', 'Anek Bangla', 'SolaimanLipi', 'Vrinda', sans-serif !important;
  font-feature-settings: "liga" 1, "ccmp" 1; /**/ 
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
  white-space: normal;
  unicode-bidi: isolate;
  direction: ltr;
}
body.lang-bn .age-check-section .age-check-title{ font-size: 40px; }
body.lang-bn .age-check-section .age-check-content-wrap{ height: 110%;}
body.lang-bn .home-products-section .products-grid-text-wrap{ max-width: 200px; }
body.lang-bn h1,
body.lang-bn h2,
body.lang-bn h3,
body.lang-bn h4,
body.lang-bn h5,
body.lang-bn h6,
body.lang-bn span,
body.lang-bn footer.bg-lang .news-date,
body.lang-bn footer.bg-lang .footer-col-title,
body.lang-bn .split-block,
body.lang-bn .home-intro-section.bg-lang .intro-main-title,
body.lang-bn .home-video-section.bg-lang .side-main-text-wrap,
body.lang-bn .home-video-section.bg-lang .side-main-text-wrap .small-text,
body.lang-bn .home-video-section.bg-lang .bottle-number,
body.lang-bn .home-video-section.bg-lang .number-wrap,
body.lang-bn .home-products-section .large-bottom-title{
  font-family:'Noto Sans Bengali', 'Bangla', 'Anek Bangla', 'SolaimanLipi', 'Vrinda', sans-serif !important;
}
body.lang-bn .split-blockk {
  display: block !important;         /* 或 inline */
  letter-spacing: normal !important; /* 不要強制字距 */
  word-break: keep-all !important;   /* 保持單詞，不要硬拆 */
  white-space: normal !important;    /* 正常換行 */
  font-feature-settings: "liga" 1, "clig" 1, "ccmp" 1 !important; /* 強制字母連字 */
  text-rendering: optimizeLegibility !important;
}

body.lang-bn .home-intro-section .item-intro-text{ font-size: 20px;}
body.lang-bn .btn-line .btn-line-text,
body.lang-bn .home-about-section .about-text,
body.lang-bn .home-region-section .item-section-title .item-content-text:first-of-type,
body.lang-bn .home-wine-section .wine-content-text{ font-size: 16px;}
body.lang-bn .video-container-item .video-player-text{ font-size: 18px;}
body.lang-bn .age-check-section .age-btn,
body.lang-bn .link-btn,
body.lang-bn .home-intro-section .menada-products-info-content{ font-size: 15px;}
body.lang-bn .cookies-bar .cookies-text,
body.lang-bn .footer-bottom .footer-center-text,
body.lang-bn .cookies-bar .cookies-text{ font-size: 14px;}
body.lang-bn .cookies-bar .close-text{ font-size: 22px;}


@media only screen and (min-width: 1367px) {
  body.lang-bn .home-products-section .products-grid-item:first-child .products-grid-text-wrap { right: 2.39vw;}
}
@media only screen and (min-width: 1025px) {
  body.lang-bn .home-products-section .products-grid-item:first-child .products-grid-text-wrap { bottom: 5vw; }
  body.lang-bn .home-products-section .large-bottom-title-wrap {
    padding-top: 3vw;
    padding-bottom: 0.5vw;
    padding-left: 3.91vw;
  }
  body.lang-bn .home-wine-section .wine-grid-item.full-width .wine-title { font-size: 3vw;}
}
@media only screen and (min-width: 720px) {
  body.lang-bn .age-check-section .age-check-title { letter-spacing: 0;}
}
@media only screen and (min-width: 480px) {
  body.lang-bn .home-intro-section .small-text{ font-size: 28px;}
  body.lang-bn .home-intro-section .content-text{ font-size: 18px;}
  body.lang-bn .home-video-section .number-text{ font-size: 22px;}
  body.lang-bn .home-products-section .products-grid-text{ font-size: 15px;}
}